Solved

Failed to upgrade host components


Userlevel 2

Hello,

 

Recently, the Veeam B&R server was updated to the 11.1.0. (). When I first opened Veeam Console, The “Components Update” wizard was initiated and the update processes were started. The update of the veeam server failed with the status “Failed to upgrade host components. Error: 'Error 1714. The older version of Veeam Agent for Linux Redistributable cannot be removed.”

 

What can I try?

icon

Best answer by simonikjan 22 March 2022, 10:12

View original

18 comments

Userlevel 7
Badge +5

Hello!

we had the same issue after installing patch (https://www.veeam.com/kb4288).

Today we solved it with support. 

I put the latest Veeam .iso in the server and selected the “VALRedist.msi” inside the .iso but now I get the error “The installation source for this product is not available. Verify that the source exists and that you can access it.”, and yes, I can access it.

This worked for us, but we also cannot access to msi file via mounted image. Try to copy the “VALRedist.msi” to your local storage and select it again from this new path. After that we were able to remove this component and then finish update process.

I hope this helps you.

Thank you for coming back to update this issue so others can find it useful. Cheers

Userlevel 7
Badge +6

Hello!

we had the same issue after installing patch (https://www.veeam.com/kb4288).

Today we solved it with support. 

I put the latest Veeam .iso in the server and selected the “VALRedist.msi” inside the .iso but now I get the error “The installation source for this product is not available. Verify that the source exists and that you can access it.”, and yes, I can access it.

This worked for us, but we also cannot access to msi file via mounted image. Try to copy the “VALRedist.msi” to your local storage and select it again from this new path. After that we were able to remove this component and then finish update process.

I hope this helps you.

Thanks for sharing this workaround. Hope next patch can fix this.

Userlevel 7
Badge +8

Hello!

we had the same issue after installing patch (https://www.veeam.com/kb4288).

Today we solved it with support. 

I put the latest Veeam .iso in the server and selected the “VALRedist.msi” inside the .iso but now I get the error “The installation source for this product is not available. Verify that the source exists and that you can access it.”, and yes, I can access it.

This worked for us, but we also cannot access to msi file via mounted image. Try to copy the “VALRedist.msi” to your local storage and select it again from this new path. After that we were able to remove this component and then finish update process.

I hope this helps you.

Thanks for sharing the solution to help address this.

Hello!

we had the same issue after installing patch (https://www.veeam.com/kb4288).

Today we solved it with support. 

I put the latest Veeam .iso in the server and selected the “VALRedist.msi” inside the .iso but now I get the error “The installation source for this product is not available. Verify that the source exists and that you can access it.”, and yes, I can access it.

This worked for us, but we also cannot access to msi file via mounted image. Try to copy the “VALRedist.msi” to your local storage and select it again from this new path. After that we were able to remove this component and then finish update process.

I hope this helps you.

Userlevel 7
Badge +6

I’d like to, but the veeam portal is set to ‘read-only’ and I can’t create a support ticket. I tried calling on my country’s phone but I need a ticket case for that.

There were some temporary problems yesterday but like @Mildur wrote, it should work again.

Userlevel 7
Badge +5

I’d like to, but the veeam portal is set to ‘read-only’ and I can’t create a support ticket. I tried calling on my country’s phone but I need a ticket case for that.

@fellipe 

Support Page works from my phone and I have opened a case 2 hours ago from my computer.

 

 

Userlevel 2

I’d like to, but the veeam portal is set to ‘read-only’ and I can’t create a support ticket. I tried calling on my country’s phone but I need a ticket case for that.

Userlevel 7
Badge +5

That’s where I’m confused. We have no machines running with Linux Agent. The Console shows the Veeam Server itself as failed.

This i understood from your question. The Veeam Server  upgrade itself failed. If you wish to perform an upgrade, I will advise your thoroughly read through this guide: https://helpcenter.veeam.com/docs/backup/hyperv/upgrade_vbr.html?ver=110 

Like @Chris.Childerhose mentioned, this is related to the installer reference. If this does not help, kindly review the logs and share more information with us.

Userlevel 7
Badge +8

So I would think there are two options here -

  1. Open a Support ticket to see if they have a quick fix for this
  2. Uninstall VBR completely and then reinstall it again pointing to your DB you are using - this way you don’t loose anything and can take a configuration backup beforehand just in case.

Not sure what else to suggest at this point as it seems like the installer reference is gone for that component.

Userlevel 2

So, I’ve been trying to do it but the windows installer says that the feature is on a CD-ROM that is not available.

I put the latest Veeam .iso in the server and selected the “VALRedist.msi” inside the .iso but now I get the error “The installation source for this product is not available. Verify that the source exists and that you can access it.”, and yes, I can access it.

 

Userlevel 7
Badge +8

SRVVEEAM.xxxxxxxxxxxxxx: Failed to upgrade host components. Error: 'Error 1714. The older version of Veeam Agent for Linux Redistributable cannot be removed.  Contact your technical support group.  '
 

Ah ok.  Maybe try using the Add/Remove Programs in Control Panel to remove the current Linux Distribution and then launch the console again to see if that updates things.  If that does not fix it then after using Control Panel run a Repair on the install to fix it.

Userlevel 2

SRVVEEAM.xxxxxxxxxxxxxx: Failed to upgrade host components. Error: 'Error 1714. The older version of Veeam Agent for Linux Redistributable cannot be removed.  Contact your technical support group.  '
 

Userlevel 7
Badge +8

What does the entire failed message say - at the end it tells the component that failed.  Let us know that first so we can help guide you.

Userlevel 7
Badge +6

Ah I see. Well, I think at this point, your best bet is to reach out to Veeam support. 

Userlevel 2

That’s where I’m confused. We have no machines running with Linux Agent. The Console shows the Veeam Server itself as failed.

Userlevel 7
Badge +6

On any that failed. If you have a lot of Linux Agent machines, and all failed, I get doing the manual route can be a daunting task. In the Console you should be able to see which ones failed to upgrade. 

Userlevel 2

You mean upgrade the Linux Agent on each linux Computer managed by the Veeam Server?

Userlevel 7
Badge +6

Hi @felipe -

You can upgrade the Linux Agent components manually. Review the process from Veeam helpcenter here.

Cheers!

Comment